/* Copyright (C) YOOtheme GmbH, http://www.gnu.org/licenses/gpl.html GNU/GPL */

jQuery(function($) {

    var config = $('html').data('config') || {};

    // Social buttons
    $('article[data-permalink]').socialButtons(config);
 
 // Fake Timer
 (function(){
	var Timer = window.Timer = function(t, el){
		this.el = el;
		this.t = t * 60 * 1000;
		this.d = new Date(this.t);
		this.event = new CustomEvent('onend');

		this.show();

		return this.el;
	}

	Timer.prototype.pad = function(a,b){return([1e15]+a).slice(-b)};
	Timer.prototype.format = function(){
		return this.pad(this.d.getMinutes(), 2) + ':' + this.pad(this.d.getSeconds(), 2);
	}
	Timer.prototype.show = function(){
		var self = this;

        self.el.innerHTML = self.format();

		setTimeout(function(){
			self.t -= 1000;
			self.d = new Date(self.t);
			
			if(self.t > 0) 
				self.show();
			else{
				self.el.innerHTML = self.format();
				self.el.dispatchEvent(self.event);
			}
		}, 1000)
	}
})();

var timer = new Timer(10, document.getElementById('timer'));
timer.addEventListener('onend', function(e){
	alert('Time is up! You lost your chance to get a state of the art paperclip!');
	//location.reload();
}, false);
});